%define major 0
%define libname lib%{name}_%major

Summary:	Trax Sequencer Engine
Name:		tse3
Version:	0.2.5
Release:	2mdk
License:	GPL
Group:		Sound
Source0:	http://download.sourceforge.net/TSE3/%{name}-%{version}.tar.bz2
URL:		http://download.sourceforge.net/TSE3/
BuildRequires:	libstdc++-devel
BuildRoot:	%_tmppath/%name-%{version}-root

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%package -n %{libname}
Summary:	Tse3 Library
Group:		Sound
Requires:	%{name} = %{version}

%description -n %{libname}
TSE3 is a powerful open source sequencer engine written in C++.
This is the main tse3 library.

%package -n %{libname}-devel
Summary:	Tse3 header files
Group:		Development/C++
Requires:	%libname = %version
Provides:   libtse3-devel
Obsoletes:  libtse3-devel

%description  -n %{libname}-devel
Tse3 header files.

%prep
%setup -q

%build
CXXFLAGS="%optflags -fno-rtti"
%configure
# doesn't support SMP build
make

%install
rm -rf $RPM_BUILD_ROOT

%make install DESTDIR=$RPM_BUILD_ROOT

rm -f doc/Makefile*

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/*
%_mandir/man1/*

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %_libdir/lib*.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %_libdir/lib*.so
%attr(755,root,root) %_libdir/lib*.la
%{_includedir}/tse3
%{_mandir}/man3/*

%changelog
* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-2mdk
- provides libtse3-devel

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-2mdk
- 
- fix devel subpackage group

* Tue Sep 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- initial release
